This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 886462 - [cli] ping returns $? == 30 (but all services are OK)
[cli] ping returns $? == 30 (but all services are OK)
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Adam Price
sthirugn@redhat.com
: Regression
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-12-12 05:53 EST by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
CLI ping returns correct exit status on successsful completion.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:21:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2012-12-12 05:53:25 EST
Description of problem:
In provided latest compose of SAM 1.2 (SAM-1.2-RHEL-6-20121211.n.0) there is a regression issue: `headpin ping` returns error code 30 while all the services are up and OK.

Version-Release number of selected component (if applicable):
candlepin-0.7.19-1.el6_3.noarch
candlepin-cert-consumer-pogolinux-1.rhts.eng.rdu.redhat.com-1.0-1.noarch
candlepin-tomcat6-0.7.19-1.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-cli-1.2.4-4h.el6_3.noarch
katello-cli-common-1.2.4-4h.el6_3.noarch
katello-common-1.2.6-6h.el6_3.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-glue-candlepin-1.2.6-6h.el6_3.noarch
katello-headpin-1.2.6-6h.el6_3.noarch
katello-headpin-all-1.2.6-6h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
rubygem-ldap_fluff-0.1.3-1.el6_3.noarch
thumbslug-0.0.27-1.el6_3.noarch
thumbslug-selinux-0.0.27-1.el6_3.noarch

How reproducible:
always

Steps to Reproduce:
headpin -uadmin -padmin ping
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                                                                Katello Status

Status Service        Result Duration Message 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
OK     
candlepin      OK     70ms     
candlepin_auth OK     72ms     
elasticsearch  OK     50ms     
katello_jobs   OK     70ms     
[root@pogolinux-1 ~]# echo $?
30

 
Actual results:
echo$? == 30

Expected results:
return 0

Additional info:
this is a regression
Upgrades automation script discovered it during the run.
I also checked with manual install of latest puddle provided (info above) - same failure.
Comment 2 Adam Price 2013-01-14 15:27:53 EST
https://github.com/Katello/katello/pull/1341
Comment 3 sthirugn@redhat.com 2013-01-17 09:36:33 EST
Tested in the version below and worked fine. (echo$? returned 0)

* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-12h.el6_3.noarch
* katello-cli-common-1.2.1-12h.el6_3.noarch
* katello-common-1.2.1-14h.el6_3.noarch
* katello-configure-1.2.3-2h.el6_3.noarch
* katello-glue-candlepin-1.2.1-14h.el6_3.noarch
* katello-headpin-1.2.1-14h.el6_3.noarch
* katello-headpin-all-1.2.1-14h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 5 errata-xmlrpc 2013-02-21 14:21:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.